-- Remove the MousePlanter menu
mpMenu = menuMan.findMenu "MousePlanter"
if mpMenu != undefined do
(
	menuMan.unregisterMenu mpMenu
	menuMan.updateMenuBar()
)

-- Remove readme file from help dir
readMePath = (getDir #help) + "\\MousePlanter-readme.txt"
if doesfileexist readMePath do DOSCommand ("del " + readMePath)

-- Remove script files (old filenames)
macroPathOld = (getDir #ui) + "\\Macroscripts\\MousePlanter.mcr"
msPathOld = (getDir #maxroot) + "\\stdplugs\\stdscripts\\MousePlanter.ms"
msePathOld = (getDir #maxroot) + "\\stdplugs\\stdscripts\\MousePlanter.mse"
if doesfileexist macroPathOld do DOSCommand ("del " + macroPathOld)
if doesfileexist msePathOld do DOSCommand ("del " + msePathOld)
if doesfileexist msPathOld do DOSCommand ("del " + msPathOld)

-- Remove the script files (new filenames)
macroPathNew = (getDir #ui) + "\\Macroscripts\\rh_MousePlanter.mcr"
msPathNew = (getDir #maxroot) + "\\stdplugs\\stdscripts\\rh_MousePlanter.ms"
msePathNew = (getDir #maxroot) + "\\stdplugs\\stdscripts\\MousePlanter.mse"
if doesfileexist macroPathNew do DOSCommand ("del " + macroPathNew)
if doesfileexist msePathNew do DOSCommand ("del " + msePathNew)
if doesfileexist msPathNew do DOSCommand ("del " + msPathNew)